package net.sf.ejp.tools.formatonsave.core;

import org.eclipse.ui.IWorkbench;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.PlatformUI;

public class WorkbenchHelper
{
  public static IWorkbenchWindow getWorkbenchWindow()
  {
    IWorkbench workbench = PlatformUI.getWorkbench();
    IWorkbenchWindow window = workbench.getActiveWorkbenchWindow();
    if (window == null)
    {
      IWorkbenchWindow openWindows[] = workbench.getWorkbenchWindows();
      int i = 0;
      do
      {
        if (i >= openWindows.length)
          break;
        if (!openWindows[i].getShell().isDisposed())
        {
          window = openWindows[i];
          break;
        }
        i++;
      }
      while (true);
    }
    return window;
  }
}
